import { JavaObject } from '../../../java/lang/JavaObject';
import { KursblockungOutputKursZuSchiene } from '../../../core/data/kursblockung/KursblockungOutputKursZuSchiene';
import { Vector } from '../../../java/util/Vector';
import { KursblockungOutputFachwahlZuKurs } from '../../../core/data/kursblockung/KursblockungOutputFachwahlZuKurs';
export declare class KursblockungOutput extends JavaObject {
    blockungsRevision: number;
    input: number;
    kursZuSchiene: Vector<KursblockungOutputKursZuSchiene>;
    fachwahlenZuKurs: Vector<KursblockungOutputFachwahlZuKurs>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): KursblockungOutput;
    static transpilerToJSON(obj: KursblockungOutput): string;
    static transpilerToJSONPatch(obj: Partial<KursblockungOutput>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kursblockung_KursblockungOutput(obj: unknown): KursblockungOutput;
